# CFDECRYPT make file - for use with VC++ NMAKE by default
# 
# For use with OpenSSL libraries. If you aren't using OpenSSL
# then you're pretty much on your own.
#
# The _ONLY_ item you need to edit is the first line of the make file
# which defines the PATH to the ROOT of your OpenSSL build
#
# Enjoy.
#
# - SteelBeak (steel_beak@hotmail.com)

OPENSSL=..\openssl-0.9.6b
NAME=cfdecrypt
PRG=$(NAME).exe
SRC=$(NAME).c
OBJ=$(NAME).obj
CC=cl
CFLAGS=/MD /W3 /WX /G5 /O2 /GF /Gy /c /nologo 
DEF=-DWIN32 -DWIN32_LEAN_AND_MEAN 
INC=/I$(OPENSSL)\inc32
LINK=link
LFLAGS=/nologo /subsystem:console /machine:I386 /opt:ref
LIBS=$(OPENSSL)\out32\libeay32.lib

$(PRG) : $(OBJ)
	$(LINK) $(LFLAGS) $(OBJ) $(LIBS) /OUT:$(PRG)

$(OBJ) : $(SRC)
	$(CC) $(CFLAGS) $(DEF) $(INC) /Fo$(OBJ) $(SRC)